Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.groupedgrid.model.impl
Class VGroupedGridPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.emf.ecp.view.spi.groupedgrid.model.impl.VGroupedGridPackageImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, VGroupedGridPackage

    public class VGroupedGridPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements VGroupedGridPackage

An implementation of the model Package.

Since:
  1.2

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecp.view.spi.groupedgrid.model.VGroupedGridPackage
`VGroupedGridPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from interface org.eclipse.emf.ecp.view.spi.groupedgrid.model.VGroupedGridPackage
`eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, GROUP, GROUP__NAME, GROUP__ROWS, GROUP_FEATURE_COUNT, GROUPED_GRID, GROUPED_GRID__ATTACHMENTS, GROUPED_GRID__DIAGNOSTIC, GROUPED_GRID__ENABLED, GROUPED_GRID__GROUPS, GROUPED_GRID__NAME, GROUPED_GRID__READONLY, GROUPED_GRID__VISIBLE, GROUPED_GRID_FEATURE_COUNT, ROW, ROW__CHILDREN, ROW_FEATURE_COUNT, SPAN, SPAN__HORIZONTAL_SPAN, SPAN_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` | `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EAttribute` | `getGroup_Name()`
`org.eclipse.emf.ecore.EReference` | `getGroup_Rows()`
`org.eclipse.emf.ecore.EClass` | `getGroup()`
`org.eclipse.emf.ecore.EReference` | `getGroupedGrid_Groups()`
`org.eclipse.emf.ecore.EClass` | `getGroupedGrid()`
`VGroupedGridFactory` | `getGroupedGridFactory()`
`org.eclipse.emf.ecore.EReference` | `getRow_Children()`
`org.eclipse.emf.ecore.EClass` | `getRow()`
`org.eclipse.emf.ecore.EAttribute` | `getSpan_HorizontalSpan()`
`org.eclipse.emf.ecore.EClass` | `getSpan()`
`static VGroupedGridPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static VGroupedGridPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `VGroupedGridPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `VGroupedGridPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getGroupedGrid

    public org.eclipse.emf.ecore.EClass getGroupedGrid()

  Specified by:
    `getGroupedGrid` in interface `VGroupedGridPackage`
  Returns:
    the meta object for class 'Grouped Grid'.
  See Also:
    `VGroupedGrid`

### getGroupedGrid_Groups

    public org.eclipse.emf.ecore.EReference getGroupedGrid_Groups()

  Specified by:
    `getGroupedGrid_Groups` in interface `VGroupedGridPackage`
  Returns:
    the meta object for the containment reference list 'Groups'.
  See Also:
    `VGroupedGrid.getGroups()`, `VGroupedGridPackage.getGroupedGrid()`

### getGroup

    public org.eclipse.emf.ecore.EClass getGroup()

  Specified by:
    `getGroup` in interface `VGroupedGridPackage`
  Returns:
    the meta object for class 'Group'.
  See Also:
    `VGroup`

### getGroup_Rows

    public org.eclipse.emf.ecore.EReference getGroup_Rows()

  Specified by:
    `getGroup_Rows` in interface `VGroupedGridPackage`
  Returns:
    the meta object for the containment reference list 'Rows'.
  See Also:
    `VGroup.getRows()`, `VGroupedGridPackage.getGroup()`

### getGroup_Name

    public org.eclipse.emf.ecore.EAttribute getGroup_Name()

  Specified by:
    `getGroup_Name` in interface `VGroupedGridPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `VGroup.getName()`, `VGroupedGridPackage.getGroup()`

### getRow

    public org.eclipse.emf.ecore.EClass getRow()

  Specified by:
    `getRow` in interface `VGroupedGridPackage`
  Returns:
    the meta object for class 'Row'.
  See Also:
    `VRow`

### getRow_Children

    public org.eclipse.emf.ecore.EReference getRow_Children()

  Specified by:
    `getRow_Children` in interface `VGroupedGridPackage`
  Returns:
    the meta object for the containment reference list 'Children'.
  See Also:
    `VRow.getChildren()`, `VGroupedGridPackage.getRow()`

### getSpan

    public org.eclipse.emf.ecore.EClass getSpan()

  Specified by:
    `getSpan` in interface `VGroupedGridPackage`
  Returns:
    the meta object for class 'Span'.
  See Also:
    `VSpan`

### getSpan_HorizontalSpan

    public org.eclipse.emf.ecore.EAttribute getSpan_HorizontalSpan()

  Specified by:
    `getSpan_HorizontalSpan` in interface `VGroupedGridPackage`
  Returns:
    the meta object for the attribute 'Horizontal Span'.
  See Also:
    `VSpan.getHorizontalSpan()`, `VGroupedGridPackage.getSpan()`

### getGroupedGridFactory

    public VGroupedGridFactory getGroupedGridFactory()

  Specified by:
    `getGroupedGridFactory` in interface `VGroupedGridPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.